> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run

> Get one durable run with actions and evidence.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/operator/threads/{threadId}/runs/{runId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/operator/threads/{threadId}/runs/{runId}:
    get:
      tags:
        - projectOperator
      summary: Get Run
      description: Get one durable run with actions and evidence.
      operationId: projectOperator.getRun
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: threadId
          in: path
          required: true
          schema:
            type: string
        - name: runId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Operator run.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  id:
                    type: string
                    format: uuid
                  threadId:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - waiting_for_approval
                      - succeeded
                      - failed
                  input:
                    type: string
                  output:
                    type:
                      - string
                      - 'null'
                  error:
                    type:
                      - string
                      - 'null'
                  startedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  finishedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                  actions:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                          format: uuid
                        runId:
                          type: string
                          format: uuid
                        operationId:
                          type: string
                        risk:
                          type: string
                          enum:
                            - write
                            - dangerous
                            - destructive
                        status:
                          type: string
                          enum:
                            - pending
                            - rejected
                            - running
                            - succeeded
                            - failed
                        version:
                          type: integer
                          minimum: 1
                        preview:
                          type: object
                          additionalProperties: true
                        result: {}
                        error:
                          type:
                            - string
                            - 'null'
                        decidedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        executedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - runId
                        - operationId
                        - risk
                        - status
                        - version
                        - preview
                        - result
                        - error
                        - decidedAt
                        - executedAt
                        - createdAt
                  evidence:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                          format: uuid
                        runId:
                          type: string
                          format: uuid
                        actionId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        kind:
                          type: string
                          enum:
                            - observation
                            - verification
                            - rollback
                        operationId:
                          type:
                            - string
                            - 'null'
                        summary:
                          type: string
                        data: {}
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - runId
                        - actionId
                        - kind
                        - operationId
                        - summary
                        - data
                        - createdAt
                required:
                  - id
                  - threadId
                  - status
                  - input
                  - output
                  - error
                  - startedAt
                  - finishedAt
                  - createdAt
                  - actions
                  - evidence
        '404':
          description: No such run in this thread.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````